xapian-core 1.4.18

Public Member Functions | List of all members
Xapian::SimpleStopper Class Reference

Simple implementation of Stopper class - this will suit most users. More...

Inheritance diagram for Xapian::SimpleStopper:
[legend]

## Public Member Functions
| SimpleStopper ()
| Default constructor.
template<class Iterator >
| SimpleStopper (Iterator begin, Iterator end)
| Initialise from a pair of iterators. More...
void | add (const std::string &word)
| Add a single stop word.
virtual bool | operator() (const std::string &term) const
| Is term a stop-word? More...
virtual std::string | get_description () const
| Return a string describing this object.
Public Member Functions inherited from Xapian::Stopper
| Stopper ()
| Default constructor.
virtual | ~Stopper ()
| Class has virtual methods, so provide a virtual destructor.
Stopper * | release ()
| Start reference counting this object. More...
const Stopper * | release () const
| Start reference counting this object. More...

## Detailed Description

Simple implementation of Stopper class - this will suit most users.

## Constructor & Destructor Documentation

## ◆ SimpleStopper()

template<class Iterator >

Xapian::SimpleStopper::SimpleStopper | ( | Iterator | begin,
|  | Iterator | end
| ) |  |
| inline

Initialise from a pair of iterators.

Xapian includes stop list files for many languages. You can initialise from a file like that:

ifstream words("stopwords/english/stop.txt");
Xapian::SimplerStopper stopper(istream_iterator<string>(words), istream_iterator<string>());

## Member Function Documentation

## ◆ operator()()

virtual bool Xapian::SimpleStopper::operator() | ( | const std::string & | term | ) | const
| inline virtual

Is term a stop-word?

Parameters

  term | The term to test.

Implements Xapian::Stopper.

The documentation for this class was generated from the following file:

- xapian/queryparser.h